It's all about the answers!

Ask a question

Jazz Server Run and Debug problem


Praveen Nayak (1642) | asked Nov 03 '09, 1:51 a.m.
Hi,

I want to try the HiJazz tutorial: https://jazz.net/wiki/bin/view/Main/HiJazzTutorial , for which I followed the steps from ComponentDevelopmentSetup and copied all the required files from RTC 2.0.0.1:
https://jazz.net/wiki/bin/view/Main/ComponentDevelopmentSetup
and tried setting up as per Jazz Server Run and Debug:
https://jazz.net/wiki/bin/view/Main/JazzServerRunAndDebug
When I invoke Run > Open Run Dialog...(Run Configurations...) and select the JFS-10-RTC-20 launch in the OSGi Framework section of the dialog, the console stops at the osgi prompt:

osgi>

Nothing more happens. Can someone tell me what I missed?

Thanks,
Praveen

3 answers



permanent link
shashikant bangera (1621) | answered Nov 10 '09, 9:32 a.m.
Hi,

I want to try the HiJazz tutorial: https://jazz.net/wiki/bin/view/Main/HiJazzTutorial , for which I followed the steps from ComponentDevelopmentSetup and copied all the required files from RTC 2.0.0.1:
https://jazz.net/wiki/bin/view/Main/ComponentDevelopmentSetup
and tried setting up as per Jazz Server Run and Debug:
https://jazz.net/wiki/bin/view/Main/JazzServerRunAndDebug
When I invoke Run > Open Run Dialog...(Run Configurations...) and select the JFS-10-RTC-20 launch in the OSGi Framework section of the dialog, the console stops at the osgi prompt:

osgi>

Nothing more happens. Can someone tell me what I missed?

Thanks,
Praveen


Hi Praveen,

Even I am facing the same problem. Were you able to get it run.

Regards,
Shashi

permanent link
Praveen Nayak (1642) | answered Nov 10 '09, 10:10 p.m.
Hi Shashi,

With the help of a few colleagues, I found out some plugin had a JRE 1.6 dependency.
1. Installed JRE 1.6.15
2. Window->Preferences->Java->Compiler->Compiler Compliance level: 1.6
3. Installed JRE->JRE1.6

Then the server started. Hope this helps.

Thanks,
Praveen

permanent link
shashikant bangera (1621) | answered Nov 13 '09, 7:01 a.m.
Hi Shashi,

With the help of a few colleagues, I found out some plugin had a JRE 1.6 dependency.
1. Installed JRE 1.6.15
2. Window->Preferences->Java->Compiler->Compiler Compliance level: 1.6
3. Installed JRE->JRE1.6

Then the server started. Hope this helps.

Thanks,
Praveen


Hi Praveen,

Thanks for your reply and help, Unfortunately it still does no display on the jazz page on the web. But on osgi console when i do 'ss' it does show me its active but it does not show up on page. Is it anything to do with RTC version (RTC 2.0.0.1)

Thanks again for all your help

regards,
shashi

Your answer


Register or to post your answer.